## org.apache.catalina.mbeans
Class RoleMBean

    java.lang.Object
      org.apache.tomcat.util.modeler.BaseModelMBean
          org.apache.catalina.mbeans.RoleMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster

    public class RoleMBean

extends BaseModelMBean

A ModelMBean implementation for the `org.apache.catalina.Role` component.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan

Field Summary
`protected ManagedBean` `managed` The `ManagedBean` information describing this MBean.
`protected javax.management.MBeanServer` `mserver` The `MBeanServer` in which we are registered.
`protected Registry` `registry` The configuration information registry for our managed beans.

Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean
`attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

Constructor Summary
`RoleMBean()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Method Summary

Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### registry

    protected Registry registry

  The configuration information registry for our managed beans.

### mserver

    protected javax.management.MBeanServer mserver

  The `MBeanServer` in which we are registered.

### managed

    protected ManagedBean managed

  The `ManagedBean` information describing this MBean.

Constructor Detail

### RoleMBean

    public RoleMBean()
              throws javax.management.MBeanException,
                     javax.management.RuntimeOperationsException

  Construct a `ModelMBean` with default `ModelMBeanInfo` information.

  Throws:
    `javax.management.MBeanException` - if the initializer of an object throws an exception
    `javax.management.RuntimeOperationsException` - if an IllegalArgumentException occurs

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.